---
title: "Generate machine activity archive. Returned object contains id necessary for later retrieval."
slug: "generate-machine-activity-archive-returned-object-contains-id-necessary-for-later-retrieval"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate machine activity archive. Returned object contains id necessary for later retrieval.

Post/machines/archive/{machineID}

Generate machine activity archive. Returned object contains id necessary for later retrieval.

Requires the `machines:write` API key scope.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Path parametersmachineIDRequired

ID of machine

Responses200

Generate machine activity archive. Returned object contains id necessary for later retrieval.

<select class='api-response-data' aria-label='Media type'><option value='5af14aac-9f4a-4c2f-9612-2e5a73b71ce4'>application/json</option>
</select>object  Example{
  "id": "MmMvdcJpgDWrDgmLZ",
  "type": "ddm-machine-activity-export",
  "customerId": "factory",
  "userId": "yyE3Dzfs4riTpswJy",
  "status": "complete",
  "workspaceId": "DEFAULT"
}idstring    
typestring    
customerIdstring    
userIdstring    
statusstring    
workspaceIdstring    

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='e252012d-b043-401b-b413-3f498ae8824d'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='e565d036-dccb-4a81-9e1a-5d5d2bba1d23'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='547b275d-5a2e-4d97-9b26-79c55de42826'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='e4b9ee57-cb52-43fd-aa58-b3f20e53f8f3'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
